Bug 143480 - usb-storage modules can't see internal ROM on Kanguru Micro CF
Summary: usb-storage modules can't see internal ROM on Kanguru Micro CF
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-21 15:14 UTC by Eric Hartwell
Modified: 2015-01-04 22:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-03 00:12:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eric Hartwell 2004-12-21 15:14:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
Micro CF is a ROM/CF reader combo device. 

When a Compact Flash card is in the reader, it can be accessed using /dev/sda1. The internal flash ROM of the device using FC3. A previous kernel (not sure which - FC1 I believe) was able to access the internal flash as /dev/sda and the CF as /dev/sda1, using them concurrently.  

Trying to use the device without a CF card in, dmesg says: 

usb 2-2: new full speed USB device using address 5
scsi3 : SCSI emulation for USB Mass Storage devices
  Vendor: USB CARD  Model: READER            Rev: 0.20
  Type:   Direct-Access                      ANSI SCSI revision: 02
Attached scsi removable disk sda at scsi3, channel 0, id 0, lun 0
USB Mass Storage device found at 5
Device not ready.  Make sure there is a disc in the drive.


Version-Release number of selected component (if applicable):
2.6.9-1.681_FC3

How reproducible:
Always

Steps to Reproduce:
1. 
2.
3.
    

Expected Results:  internal flash ROM and CF in reader should be availiable 

Additional info:

Comment 1 Eric Hartwell 2005-01-06 16:26:20 UTC
lsusb reports:  
 
Bus 002 Device 004: ID 0c45:1061 Microdia 

Comment 2 Dave Jones 2005-07-15 19:33:43 UTC
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.

Comment 3 Dave Jones 2005-10-03 00:12:30 UTC
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.


Note You need to log in before you can comment on or make changes to this bug.